Subject: bug#59686: 30.0.50; tree-sitter indentation in some loops and conditional statements is wrong

From: Bruce Stephens <[email-masked]>
Date: Fri, 2 Dec 2022 10:46:34 +0000

On 02/12/2022 08:39, Eli Zaretskii wrote:

> FWIW, this is an unusual style, so I see no catastrophe if it is not 110%
> according to expectations.  Users can easily fix that by tweaking their BOLs
> where important.

The example I gave would be unusual, I think, but I'd argue that the 
situations where I saw the problem are quite natural.

For example,

                 } else if ( MYSTRCMP (attname, SOME_PREFIX_X400ADDRESS) ||
                             MYSTRCMP (attname, SOME_PREFIX_X400) ) {
                     FOO_ptr orp = foo_std2foo (val);

or a function declaration with several arguments with types that are 
rather long.

I agree it's not a critical bug but if there's no appropriate general 
fix it would be helpful to have some guidance for users to resolve our 
specific cases.